Receive Pub/Sub notification
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/gmail/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"data": "<string>",
"messageId": "<string>",
"publishTime": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/webhook"
payload = { "message": {
"data": "<string>",
"messageId": "<string>",
"publishTime": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: {data: '<string>', messageId: '<string>', publishTime: '<string>'}})
};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Gmail
Receive Pub/Sub notification
Receive Gmail Pub/Sub notification.
POST
/
v3
/
integrations
/
gmail
/
webhook
Receive Pub/Sub notification
curl --request POST \
--url http://127.0.0.1:3333/v3/integrations/gmail/webhook \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": {
"data": "<string>",
"messageId": "<string>",
"publishTime": "<string>"
}
}
'import requests
url = "http://127.0.0.1:3333/v3/integrations/gmail/webhook"
payload = { "message": {
"data": "<string>",
"messageId": "<string>",
"publishTime": "<string>"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({message: {data: '<string>', messageId: '<string>', publishTime: '<string>'}})
};
fetch('http://127.0.0.1:3333/v3/integrations/gmail/webhook', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
bearerAuthapiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Response
Default Response